<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--

IGAC proyecto SNC

@author			eddixon.castillo, juan.agudelo
@version 		2.0
@description	Página donde se muestra la ficha matriz del predio
@cu 			CU-CO-V-03 Revisar proyección
@param			managedBeanParam:	managedBean seleccionado
            
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="tablaDatosIdfichaMatrizIdPanel">

    <h:outputText styleClass="outputTextStyle"
                  value="No se encuentra ningún predio seleccionado."
                  rendered="#{empty managedBeanParam.predioInicialSeleccionado and empty managedBeanParam.predioFinalSeleccionado}" />
    <h:outputText styleClass="outputTextStyle"
                  value="El predio seleccionado no cuenta con ninguna ficha matriz asociada"
                  rendered="#{empty managedBeanParam.fichaMatrizSelecionada and not empty managedBeanParam.predioInicialSeleccionado}" />
    <h:outputText styleClass="outputTextStyle"
                  value="El predio seleccionado no cuenta con ninguna ficha matriz asociada"
                  rendered="#{empty managedBeanParam.pfichaMatrizSelecionada and not empty managedBeanParam.predioFinalSeleccionado}" />

    <h:panelGrid
        rendered="#{not empty managedBeanParam.fichaMatrizSelecionada and not empty managedBeanParam.predioInicialSeleccionado}">
        <h:panelGrid columns="2">


            <p:fieldset id="idInfoAreasP">
                <legend>
                    <h:outputText value="Información de areas" styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="5" cellspacing="7">

                    <h:outputLabel value="Área total terreno: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreas[0]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total terreno privada: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreas[1]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total terreno común: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreas[2]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total construida: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreas[3]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total construida privada: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreas[4]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total construida común: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreas[5]}" />
                    </p:outputPanel>

                </h:panelGrid>
            </p:fieldset>

            <h:panelGrid columns="2" cellspacing="7">
                <p:spacer height="0" width="13" />

                <h:panelGrid columns="6" cellspacing="7">
                    <h:outputLabel value="Matricula inmobiliaria: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{managedBeanParam.predioInicialSeleccionado.circuloRegistral.codigo}" />
                    <h:outputText styleClass="outputTextStyle" value=" - " />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{managedBeanParam.predioInicialSeleccionado.numeroRegistro}" />
                </h:panelGrid>
                <p:spacer />

                <p:fieldset id="idDireccionP">
                    <legend>
                        <h:outputText value="Direccion" styleClass="legendTitle" />
                    </legend>

                    <h:outputLabel value="Nombre PH/Condominio: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{managedBeanParam.predioInicialSeleccionado.nombre}" />

                    <p:dataTable
                        emptyMessage="No se encontraron direcciones para el predio"
                        value="#{managedBeanParam.predioInicialSeleccionado.predioDireccions}"
                        var="direccion" rowKey="#{direccion.id}">

                        <p:column>
                            <f:facet name="header">  
                                Direccion
                            </f:facet>
                            <h:outputText value="#{direccion.direccion}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">  
                                Direccion Principal
                            </f:facet>
                            <h:outputText value="#{direccion.principal}" />
                        </p:column>
                    </p:dataTable>
                </p:fieldset>
            </h:panelGrid>
        </h:panelGrid>

        <p:fieldset
            rendered="#{managedBeanParam.predioInicialSeleccionado.condicionPropiedad eq 9}">
            <legend>
                <h:outputText value="Generalidades de la propiedad horizontal"
                              styleClass="legendTitle" />
            </legend>

            <div style="width: 660px;">

                <p:dataTable
                    value="#{managedBeanParam.fichaMatrizSelecionada.fichaMatrizTorres}"
                    var="torre" rowKey="#{torre.id}"
                    emptyMessage="No se encontraron torres asociadas a la ficha matriz">

                    <p:column>
                        <f:facet name="header">  
                            Torre No
                        </f:facet>
                        <h:outputText value="#{torre.torre}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Total pisos torre
                        </f:facet>
                        <h:outputText value="#{torre.pisos}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Número unidades privadas
                        </f:facet>
                        <h:outputText value="#{torre.unidades}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Total sotanos
                        </f:facet>
                        <h:outputText value="#{torre.sotanos}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Total unidades en sotanos
                        </f:facet>
                        <h:outputText value="#{torre.unidadesSotanos}" />
                    </p:column>

                </p:dataTable>
            </div>

            <p:spacer height="10" width="0" />
            <h:panelGrid columns="2">

                <h:outputLabel value="Total torres: " styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{fn:length (managedBeanParam.fichaMatrizSelecionada.fichaMatrizTorres)}" />

                <h:outputLabel value="Total unidades privadas: "
                               styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{managedBeanParam.fichaMatrizSelecionada.totalUnidadesPrivadas}" />

                <h:outputLabel value="Total unidades privadas en sotano: "
                               styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{managedBeanParam.fichaMatrizSelecionada.totalUnidadesSotano}" />

            </h:panelGrid>
        </p:fieldset>

        <p:fieldset
            rendered="#{managedBeanParam.predioInicialSeleccionado.condicionPropiedad eq 8}">
            <legend>
                <h:outputText value="Generalidades del condominio"
                              styleClass="legendTitle" />
            </legend>

            <h:outputLabel value="Total unidades privadas: "
                           styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{managedBeanParam.fichaMatrizSelecionada.totalUnidadesPrivadas}" />

        </p:fieldset>

        <p:fieldset>
            <legend>
                <h:outputText value="Construcciones comunes"
                              styleClass="legendTitle" />
            </legend>

            <p:spacer height="7" width="0" />
            <p:fieldset>
                <legend>
                    <h:outputText value="Unidades convencionales"
                                  styleClass="legendTitle" />
                </legend>

                <div style="width: 660px;">
                    <p:dataTable
                        emptyMessage="No existen unidades convencionales asociadas al predio."
                        value="#{managedBeanParam.predioInicialSeleccionado.unidadesConstruccionConvencional}"
                        var="ucon" rowKey="#{ucon.id}">

                        <p:column headerText="Detalle">
                            <p:commandButton title="Ver detalle de la unidad de construcción"
                                             immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                             onstart="statusDialog2.show();"
                                             update=":informacionConstruccionForm"
                                             oncomplete="statusDialog2.hide();infoConstruccionWV.show();">
                                <f:setPropertyActionListener
                                    target="#{infoCancelacionInscripcion.predioUnidadSeleccionado}"
                                    value="#{ucon}" />
                            </p:commandButton>

                        </p:column>

                        <p:column headerText="Unidad">
                            <h:outputText value="#{ucon.unidad}" />
                        </p:column>

                        <p:column headerText="Uso unidad">
                            <h:outputText value="#{ucon.usoConstruccion.nombre}" />
                        </p:column>

                        <p:column headerText="Area construida">
                            <h:outputText value="#{ucon.areaConstruida}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Avalúo unidad">
                            <h:outputText value="#{ucon.avaluo}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                    </p:dataTable>
                </div>
            </p:fieldset>

            <p:spacer width="0" height="7" />
            <p:fieldset>
                <legend>
                    <h:outputText value="Unidades No convencionales"
                                  styleClass="legendTitle" />
                </legend>

                <div style="width: 660px;">
                    <p:dataTable
                        emptyMessage="No existen unidades no convencionales asociadas al predio."
                        value="#{managedBeanParam.predioInicialSeleccionado.unidadesConstruccionNoConvencional}"
                        var="unocon" rowKey="#{unocon.id}">

                        <p:column headerText="Detalle">
                            <p:commandButton title="Ver detalle de la unidad de construcción"
                                             immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                             onstart="statusDialog2.show();"
                                             update=":informacionConstruccionForm"
                                             oncomplete="statusDialog2.hide();infoConstruccionWV.show();">
                                <f:setPropertyActionListener
                                    target="#{infoCancelacionInscripcion.predioUnidadSeleccionado}"
                                    value="#{unocon}" />
                            </p:commandButton>
                        </p:column>

                        <p:column headerText="Unidad">
                            <h:outputText value="#{unocon.unidad}" />
                        </p:column>

                        <p:column headerText="Uso unidad">
                            <h:outputText value="#{unocon.usoConstruccion.nombre}" />
                        </p:column>

                        <p:column headerText="Descripción">
                            <h:outputText value="#{unocon.descripcion}" />
                        </p:column>

                        <p:column headerText="Avalúo unidad">
                            <h:outputText value="#{unocon.avaluo}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                    </p:dataTable>
                </div>
            </p:fieldset>
        </p:fieldset>

        <p:fieldset>
            <legend>
                <h:outputText value="Unidades privadas" styleClass="legendTitle" />
            </legend>

            <div style="width: 660px;">
                <h:panelGrid columns="2">

                    <h:panelGrid columns="2">
                        <h:outputLabel value="Departamento: "
                                       styleClass="outputLabelStyle" />

                        <h:panelGrid columns="3" cellspacing="3">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{managedBeanParam.predioInicialSeleccionado.departamento.codigo} " />
                            <h:outputText styleClass="outputTextStyle" value="-" />
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{managedBeanParam.predioInicialSeleccionado.departamento.nombre}" />
                        </h:panelGrid>

                        <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                        <h:panelGrid columns="3" cellspacing="3">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{managedBeanParam.predioInicialSeleccionado.municipio.codigo}" />
                            <h:outputText styleClass="outputTextStyle" value="-" />
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{managedBeanParam.predioInicialSeleccionado.municipio.nombre}" />
                        </h:panelGrid>

                        <h:outputLabel value="Tipo Predio " styleClass="outputLabelStyle" />
                        <h:panelGrid columns="1" cellspacing="3">
                            <h:outputText styleClass="outputTextStyle" id="PredioTipoV"
                                          value="#{managedBeanParam.predioInicialSeleccionado.tipo}">
                                <f:converter converterId="converterCB" for="PredioTipoV" />
                            </h:outputText>
                        </h:panelGrid>
                    </h:panelGrid>

                    <p:dataTable
                        emptyMessage="No existen unidades privadas asociadas al predio."
                        value="#{managedBeanParam.fichaMatrizSelecionada.fichaMatrizPredios}"
                        var="uprivadas" rowKey="#{uprivadas.id}">

                        <p:column headerText="Número predial">
                            <h:outputText value="#{uprivadas.numeroPredial}" />
                        </p:column>

                        <p:column headerText="Coeficiente copropiedad">
                            <h:outputText value="#{uprivadas.coeficiente}">
                                <f:convertNumber type="percent" minFractionDigits="5"/>
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Valor avalúo">
                            <h:outputText value="#{uprivadas.valorAvaluo}"
                                          rendered="#{uprivadas.valorAvaluo gt -1}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>
                    </p:dataTable>
                </h:panelGrid>
            </div>

        </p:fieldset>

    </h:panelGrid>

    <h:panelGrid
        rendered="#{not empty managedBeanParam.pfichaMatrizSelecionada and not empty managedBeanParam.predioFinalSeleccionado}">
        <h:panelGrid columns="2">

            <p:fieldset id="idInfoAreasPP">
                <legend>
                    <h:outputText value="Información de areas" styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="4" cellspacing="7">

                    <h:outputLabel value="Área total terreno: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreasP[0]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total terreno privada: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreasP[1]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total terreno común: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreasP[2]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total construida: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreasP[3]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total construida privada: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreasP[4]}" />
                    </p:outputPanel>

                    <h:outputLabel value="Área total construida común: "
                                   styleClass="outputLabelStyle" />

                    <p:outputPanel layout="block" style="text-align:right">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{managedBeanParam.infoAreasP[5]}" />
                    </p:outputPanel>

                </h:panelGrid>
            </p:fieldset>

            <h:panelGrid columns="2" cellspacing="7">
                <p:spacer height="0" width="13" />

                <h:panelGrid columns="6" cellspacing="7">
                    <h:outputLabel value="Matricula inmobiliaria: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{managedBeanParam.predioFinalSeleccionado.circuloRegistral.codigo}" />
                    <h:outputText styleClass="outputTextStyle" value=" - " />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{managedBeanParam.predioFinalSeleccionado.numeroRegistro}" />
                </h:panelGrid>
                <p:spacer />

                <p:fieldset id="idDireccionPP">
                    <legend>
                        <h:outputText value="Direccion" styleClass="legendTitle" />
                    </legend>

                    <h:outputLabel value="Nombre PH/Condominio: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{managedBeanParam.predioFinalSeleccionado.nombre}" />

                    <p:dataTable
                        emptyMessage="No se encontraron direcciones para el predio"
                        value="#{managedBeanParam.predioFinalSeleccionado.PPredioDireccions}"
                        var="direccion" rowKey="#{direccion.id}">

                        <p:column>
                            <f:facet name="header">  
                                Direccion
                            </f:facet>
                            <h:outputText value="#{direccion.direccion}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">  
                                Direccion Principal
                            </f:facet>
                            <h:outputText value="#{direccion.principal}" />
                        </p:column>
                    </p:dataTable>
                </p:fieldset>
            </h:panelGrid>
        </h:panelGrid>

        <p:fieldset
            rendered="#{managedBeanParam.predioFinalSeleccionado.condicionPropiedad eq 9}">
            <legend>
                <h:outputText value="Generalidades de la propiedad horizontal"
                              styleClass="legendTitle" />
            </legend>

            <div style="width: 660px;">

                <p:dataTable
                    value="#{managedBeanParam.pfichaMatrizSelecionada.PFichaMatrizTorres}"
                    var="torre" rowKey="#{torre.id}"
                    emptyMessage="No se encontraron torres asociadas a la ficha matriz">

                    <p:column>
                        <f:facet name="header">  
                            Torre No
                        </f:facet>
                        <h:outputText value="#{torre.torre}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Total pisos torre
                        </f:facet>
                        <h:outputText value="#{torre.pisos}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Número unidades privadas
                        </f:facet>
                        <h:outputText value="#{torre.unidades}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Total sotanos
                        </f:facet>
                        <h:outputText value="#{torre.sotanos}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Total unidades en sotanos
                        </f:facet>
                        <h:outputText value="#{torre.unidadesSotanos}" />
                    </p:column>

                </p:dataTable>
            </div>

            <p:spacer height="10" width="0" />
            <h:panelGrid columns="2">

                <h:outputLabel value="Total torres: " styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{managedBeanParam.pfichaMatrizSelecionada.totalTorres}" />

                <h:outputLabel value="Total unidades privadas: "
                               styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{managedBeanParam.pfichaMatrizSelecionada.totalUnidadesPrivadas}" />

                <h:outputLabel value="Total unidades privadas en sotano: "
                               styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{managedBeanParam.pfichaMatrizSelecionada.totalUnidadesSotanos}" />

            </h:panelGrid>
        </p:fieldset>

        <p:fieldset
            rendered="#{managedBeanParam.predioFinalSeleccionado.condicionPropiedad eq 8}">
            <legend>
                <h:outputText value="Generalidades del condominio"
                              styleClass="legendTitle" />
            </legend>

            <h:outputLabel value="Total unidades privadas: "
                           styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{managedBeanParam.pfichaMatrizSelecionada.totalUnidadesPrivadas}" />

        </p:fieldset>

        <p:fieldset>
            <legend>
                <h:outputText value="Construcciones comunes"
                              styleClass="legendTitle" />
            </legend>

            <p:spacer height="7" width="0" />
            <p:fieldset>
                <legend>
                    <h:outputText value="Unidades convencionales"
                                  styleClass="legendTitle" />
                </legend>

                <div style="width: 660px;">
                    <p:dataTable
                        emptyMessage="No existen unidades convencionales asociadas al predio."
                        value="#{managedBeanParam.predioFinalSeleccionado.PUnidadesConstruccionConvencional}"
                        var="ucon" rowKey="#{ucon.id}">

                        <p:column headerText="Detalle">
                            <p:commandButton title="Ver detalle de la unidad de construcción"
                                             immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                             onstart="statusDialog2.show();"
                                             update=":informacionConstruccionForm"
                                             oncomplete="statusDialog2.hide();infoConstruccionWV.show();">
                                <f:setPropertyActionListener
                                    target="#{infoCancelacionInscripcion.ppredioUnidadSeleccionado}"
                                    value="#{ucon}" />
                            </p:commandButton>

                        </p:column>

                        <p:column headerText="Unidad">
                            <h:outputText value="#{ucon.unidad}" />
                        </p:column>

                        <p:column headerText="Uso unidad">
                            <h:outputText value="#{ucon.usoConstruccion.nombre}" />
                        </p:column>

                        <p:column headerText="Area construida">
                            <h:outputText value="#{ucon.areaConstruida}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Avalúo unidad">
                            <h:outputText value="#{ucon.avaluo}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                    </p:dataTable>
                </div>
            </p:fieldset>

            <p:spacer width="0" height="7" />
            <p:fieldset>
                <legend>
                    <h:outputText value="Unidades No convencionales"
                                  styleClass="legendTitle" />
                </legend>

                <div style="width: 660px;">
                    <p:dataTable
                        emptyMessage="No existen unidades no convencionales asociadas al predio."
                        value="#{managedBeanParam.predioFinalSeleccionado.PUnidadesConstruccionNoConvencional}"
                        var="unocon" rowKey="#{unocon.id}">

                        <p:column headerText="Detalle">
                            <p:commandButton title="Ver detalle de la unidad de construcción"
                                             immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                             onstart="statusDialog2.show();"
                                             update=":informacionConstruccionForm"
                                             oncomplete="statusDialog2.hide();infoConstruccionWV.show();">
                                <f:setPropertyActionListener
                                    target="#{infoCancelacionInscripcion.ppredioUnidadSeleccionado}"
                                    value="#{unocon}" />
                            </p:commandButton>
                        </p:column>

                        <p:column headerText="Unidad">
                            <h:outputText value="#{unocon.unidad}" />
                        </p:column>

                        <p:column headerText="Uso unidad">
                            <h:outputText value="#{unocon.usoConstruccion.nombre}" />
                        </p:column>

                        <p:column headerText="Descripción">
                            <h:outputText value="#{unocon.descripcion}" />
                        </p:column>

                        <p:column headerText="Avalúo unidad">
                            <h:outputText value="#{unocon.avaluo}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                    </p:dataTable>
                </div>
            </p:fieldset>
        </p:fieldset>

        <p:fieldset>
            <legend>
                <h:outputText value="Unidades privadas" styleClass="legendTitle" />
            </legend>

            <div style="width: 660px;">
                <h:panelGrid columns="2">

                    <h:panelGrid columns="2">
                        <h:outputLabel value="Departamento: "
                                       styleClass="outputLabelStyle" />

                        <h:panelGrid columns="3" cellspacing="3">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{managedBeanParam.predioFinalSeleccionado.departamento.codigo} " />
                            <h:outputText styleClass="outputTextStyle" value="-" />
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{managedBeanParam.predioFinalSeleccionado.departamento.nombre}" />
                        </h:panelGrid>

                        <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                        <h:panelGrid columns="3" cellspacing="3">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{managedBeanParam.predioFinalSeleccionado.municipio.codigo}" />
                            <h:outputText styleClass="outputTextStyle" value="-" />
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{managedBeanParam.predioFinalSeleccionado.municipio.nombre}" />
                        </h:panelGrid>

                        <h:outputLabel value="Tipo Predio " styleClass="outputLabelStyle" />
                        <h:panelGrid columns="1" cellspacing="3">
                            <h:outputText styleClass="outputTextStyle" id="PredioTipoV-1"
                                          value="#{managedBeanParam.predioFinalSeleccionado.tipo}">
                                <f:converter converterId="converterCB" for="PredioTipoV-1" />
                            </h:outputText>
                        </h:panelGrid>
                    </h:panelGrid>

                    <p:dataTable
                        emptyMessage="No existen unidades privadas asociadas al predio."
                        value="#{managedBeanParam.pfichaMatrizSelecionada.PFichaMatrizPredios}"
                        var="uprivadas" rowKey="#{uprivadas.id}">

                        <p:column headerText="Número predial">
                            <h:outputText value="#{uprivadas.numeroPredial}" />
                        </p:column>


                        <p:column headerText="Coeficiente copropiedad">
                            <h:outputText value="#{uprivadas.coeficiente}">
                                <f:convertNumber type="percent" minFractionDigits="5"/>
                            </h:outputText>
                        </p:column>

                    </p:dataTable>
                </h:panelGrid>
            </div>

        </p:fieldset>

    </h:panelGrid>
</h:panelGrid>
